### Enumeration

# Ggit StatusFlags

#### Declaration

    flags Ggit.StatusFlags

#### Description [src]

Describes a file’s status.

#### Members

Name | Description
--- | ---
`GGIT_STATUS_CURRENT` | File is current.
`GGIT_STATUS_INDEX_NEW` | File in index is new.
`GGIT_STATUS_INDEX_MODIFIED` | File in index is modified.
`GGIT_STATUS_INDEX_DELETED` | File in index is deleted.
`GGIT_STATUS_INDEX_RENAMED` | No description available.
`GGIT_STATUS_INDEX_TYPECHANGE` | No description available.
`GGIT_STATUS_WORKING_TREE_NEW` | File in working tree is new.
`GGIT_STATUS_WORKING_TREE_MODIFIED` | File in working tree is modified.
`GGIT_STATUS_WORKING_TREE_DELETED` | File in working tree is deleted.
`GGIT_STATUS_WORKING_TREE_TYPECHANGE` | No description available.
`GGIT_STATUS_WORKING_TREE_RENAMED` | No description available.
`GGIT_STATUS_WORKING_TREE_UNREADABLE` | No description available.
`GGIT_STATUS_IGNORED` | File is ignored.
`GGIT_STATUS_CONFLICTED` | No description available.